Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.ipc
Interface Transport

All Known Implementing Classes:
  TCPSocketTransport, TLSServerTransport

    public interface Transport

Method Summary
`boolean` | `connect()` brief Connects to skypekit.
`void` | `disconnect()` Disconnects from skypekit
`boolean` | `hasMore()`
`boolean` | `isConnected()` \brief Check if the connection to SkypeKit is still there.
`int` | `peek()` \brief Check value of next byte, but do not remove from stream.
`int` | `read()` \brief Read one byte.
`int` | `read(int num_bytes, byte[] bytes)` \brief Read as many bytes as possible, but not more than num_bytes.
`int` | `read(int num_bytes, byte[] bytes, boolean require_num_bytes)` \brief Read number of bytes indicated.
`void` | `startLogging(java.lang.String logFileName)` \brief start transport logging to two files based on logFileName path.
`boolean` | `write(byte b)` \brief Write one byte.
`boolean` | `write(int num_bytes, byte[] bytes)` \brief Write buffer to stream.

Method Detail

### connect

    boolean connect()
                    throws java.io.IOException

  brief Connects to skypekit. When this function returns successfully, you can start sending and receiving messages.

  Throws:
    `java.io.IOException`

### disconnect

    void disconnect()
                    throws java.io.IOException

  Disconnects from skypekit

  Throws:
    `java.io.IOException`

### hasMore

    boolean hasMore()
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    int read()
             throws java.io.IOException

  \brief Read one byte.

  Throws:
    `java.io.IOException`

### peek

    int peek()
             throws java.io.IOException

  \brief Check value of next byte, but do not remove from stream.

  Throws:
    `java.io.IOException`

### read

    int read(int num_bytes,
             byte[] bytes)
             throws java.io.IOException

  \brief Read as many bytes as possible, but not more than num_bytes.

  Throws:
    `java.io.IOException`

### read

    int read(int num_bytes,
             byte[] bytes,
             boolean require_num_bytes)
             throws java.io.IOException

  \brief Read number of bytes indicated. Block until all bytes collected. \returns number bytes read

  Throws:
    `java.io.IOException`

### write

    boolean write(byte b)
                  throws java.io.IOException

  \brief Write one byte.

  Throws:
    `java.io.IOException`

### write

    boolean write(int num_bytes,
                  byte[] bytes)
                  throws java.io.IOException

  \brief Write buffer to stream.

  Throws:
    `java.io.IOException`

### isConnected

    boolean isConnected()
                        throws java.io.IOException

  \brief Check if the connection to SkypeKit is still there.

  Throws:
    `java.io.IOException`

### startLogging

    void startLogging(java.lang.String logFileName)

  \brief start transport logging to two files based on logFileName path.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.